<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Comments/Previous/Previous.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Comments.Previous.Previous</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Processors.html" >Processors</a>.<a href="../../Comments.html" >Comments</a>.<a href="../Previous.html" >Previous</a>
</div><div class="class-name">class Previous

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Processors/Comments/Previous.py.html" target="detail">../Synopsis/Processors/Comments/Previous.py</a></div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line11" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Previous-inheritance" src="Previous-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Previous-inheritance_map" />
<map name="Previous-inheritance_map"></map>
 <div class="doc">A class that maps comments that begin with '&lt;' to the previous
     declaration</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#process" >process</a></span>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#push" >push</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.push" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line29" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#pop" >pop</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.pop" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line35" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#visit_scope" >visit_scope</a></span>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line40" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line49" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin">visit_builtin</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_builtin" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line52" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#visit_enum" >visit_enum</a></span>(<span class="variable">self</span>, <span class="variable">enum</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_enum" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line56" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#visit_enumerator" >visit_enumerator</a></span>(<span class="variable">self</span>, <span class="variable">enumor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_enumerator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line66" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Previous.html#process_comments" >process_comments</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.process_comments" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line71" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Checks a decl to see if the comment should be moved.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">decorates process&#40;&#41; to initialise last and laststack</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="push">push</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.push" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line29" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">decorates push&#40;&#41; to also push 'last' onto 'laststack'</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop">pop</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.pop" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line35" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">decorates pop&#40;&#41; to also pop 'last' from 'laststack'</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line40" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">overrides visit_scope&#40;&#41; to set 'last' after each declaration</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enum">visit_enum</a>(<span class="variable">self</span>, <span class="variable">enum</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_enum" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line56" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Does the same as visit_scope but for enum and enumerators</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enumerator">visit_enumerator</a>(<span class="variable">self</span>, <span class="variable">enumor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.visit_enumerator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line66" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Checks previous comment and removes dummies</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_comments">process_comments</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref24.html#Synopsis.Processors.Comments.Previous.Previous.process_comments" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Previous.py.html#line71" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Checks a decl to see if the comment should be moved. If the comment
          begins with a less-than sign&#44; then it is moved to the 'last'
          declaration</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:07 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
